Subject: bug#411: 23.0.60; flet and byte-compilation

From: "Richard M. Stallman" <[email-masked]>
Date: Thu, 25 Sep 2008 13:45:47 -0400

> I guess byte-compile-associative mangles the '(+ x y) form without
    > regard for the redefinition in effect. I don't know if that is
    > fixable, or should be a documented caveat with regards to primitives.

    I don't see how to fix this, and my inclination is to just document this
    limitation in the docstring of `flet'.  Stefan, WDYT?

I am not sure if it is worth fixing, but one possible way
One possible way to fix it is to make the byte compiler check
that the function has a subr definition as usual.